Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkCubeAxesActor2D Class Reference

`#include <vtkCubeAxesActor2D.h>`

Inheritance diagram for vtkCubeAxesActor2D:

[legend]
Collaboration diagram for vtkCubeAxesActor2D:

[legend]
List of all members.

## Detailed Description

create a 2D plot of a bounding box edges - used for navigation

Date:
  2002/11/11 21:41:29

Revision:
  1.32

vtkCubeAxesActor2D is a composite actor that draws three axes of the bounding box of an input dataset. The axes include labels and titles for the x-y-z axes. The algorithm selects the axes that are on the "exterior" of the bounding box, exterior as determined from examining outer edges of the bounding box in projection (display) space. Alternatively, the edges closest to the viewer (i.e., camera position) can be drawn.

To use this object you must define a bounding box and the camera used to render the vtkCubeAxesActor2D. The camera is used to control the scaling and position of the vtkCubeAxesActor2D so that it fits in the viewport and always remains visible.)

The font property of the axes titles and labels can be modified through the AxisTitleTextProperty and AxisLabelTextProperty attributes. You may also use the GetXAxisActor2D, GetYAxisActor2D or GetZAxisActor2D methods to access each individual axis actor to modify their font properties.

The bounding box to use is defined in one of three ways. First, if the Input ivar is defined, then the input dataset's bounds is used. If the Input is not defined, and the Prop (superclass of all actors) is defined, then the Prop's bounds is used. If neither the Input or Prop is defined, then the Bounds instance variable (an array of six floats) is used.

See also:
  vtkActor2D vtkAxis2DActor vtkXYPlotActor vtkTextProperty

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (65%)
  - Barre, Sebastien (20%)
  - Cedilnik, Andy (6%)

CVS logs (CVSweb):
  - .`cxx` (`/Hybrid/vtkCubeAxesActor2D.cxx)`
  - .`h` (`/Hybrid/vtkCubeAxesActor2D.h)`

Examples:
  vtkCubeAxesActor2D (Examples)

Tests:
  vtkCubeAxesActor2D (Tests)

Definition at line 80 of file vtkCubeAxesActor2D.h.

## Public Types
typedef vtkActor2D | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | ReleaseGraphicsResources (vtkWindow *)
void | ShallowCopy (vtkCubeAxesActor2D *actor)
int | RenderOverlay (vtkViewport *)
int | RenderOpaqueGeometry (vtkViewport *)
int | RenderTranslucentGeometry (vtkViewport *)
virtual void | SetInput (vtkDataSet *)
virtual vtkDataSet * | GetInput ()
virtual void | SetProp (vtkProp *)
virtual vtkProp * | GetProp ()
virtual void | SetBounds (float, float, float, float, float, float)
virtual void | SetBounds (float[6])
float * | GetBounds ()
void | GetBounds (float &xmin, float &xmax, float &ymin, float &ymax, float &zmin, float &zmax)
void | GetBounds (float bounds[6])
virtual void | SetRanges (float, float, float, float, float, float)
virtual void | SetRanges (float[6])
float * | GetRanges ()
void | GetRanges (float &xmin, float &xmax, float &ymin, float &ymax, float &zmin, float &zmax)
void | GetRanges (float ranges[6])
virtual void | SetUseRanges (int)
virtual int | GetUseRanges ()
virtual void | UseRangesOn ()
virtual void | UseRangesOff ()
virtual void | SetCamera (vtkCamera *)
virtual vtkCamera * | GetCamera ()
virtual void | SetFlyMode (int)
virtual int | GetFlyMode ()
void | SetFlyModeToOuterEdges ()
void | SetFlyModeToClosestTriad ()
virtual void | SetScaling (int)
virtual int | GetScaling ()
virtual void | ScalingOn ()
virtual void | ScalingOff ()
virtual void | SetNumberOfLabels (int)
virtual int | GetNumberOfLabels ()
virtual void | SetXLabel (const char *)
virtual char * | GetXLabel ()
virtual void | SetYLabel (const char *)
virtual char * | GetYLabel ()
virtual void | SetZLabel (const char *)
virtual char * | GetZLabel ()
vtkAxisActor2D * | GetXAxisActor2D ()
vtkAxisActor2D * | GetYAxisActor2D ()
vtkAxisActor2D * | GetZAxisActor2D ()
virtual void | SetAxisTitleTextProperty (vtkTextProperty *p)
virtual vtkTextProperty * | GetAxisTitleTextProperty ()
virtual void | SetAxisLabelTextProperty (vtkTextProperty *p)
virtual vtkTextProperty * | GetAxisLabelTextProperty ()
virtual void | SetFontFamily (int val)
virtual int | GetFontFamily ()
void | SetFontFamilyToArial ()
void | SetFontFamilyToCourier ()
void | SetFontFamilyToTimes ()
virtual void | SetBold (int val)
virtual int | GetBold ()
virtual void | BoldOn ()
virtual void | BoldOff ()
virtual void | SetItalic (int val)
virtual int | GetItalic ()
virtual void | ItalicOn ()
virtual void | ItalicOff ()
virtual void | SetShadow (int val)
virtual int | GetShadow ()
virtual void | ShadowOn ()
virtual void | ShadowOff ()
virtual void | SetLabelFormat (const char *)
virtual char * | GetLabelFormat ()
virtual void | SetFontFactor (float)
virtual float | GetFontFactor ()
virtual void | SetInertia (int)
virtual float | GetInertia ()
virtual void | SetCornerOffset (float)
virtual float | GetCornerOffset ()
virtual void | SetXAxisVisibility (int)
virtual int | GetXAxisVisibility ()
virtual void | XAxisVisibilityOn ()
virtual void | XAxisVisibilityOff ()
virtual void | SetYAxisVisibility (int)
virtual int | GetYAxisVisibility ()
virtual void | YAxisVisibilityOn ()
virtual void | YAxisVisibilityOff ()
virtual void | SetZAxisVisibility (int)
virtual int | GetZAxisVisibility ()
virtual void | ZAxisVisibilityOn ()
virtual void | ZAxisVisibilityOff ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkCubeAxesActor2D * | SafeDownCast (vtkObject *o)
vtkCubeAxesActor2D * | New ()
## Protected Methods
| vtkCubeAxesActor2D ()
| ~vtkCubeAxesActor2D ()
void | TransformBounds (vtkViewport *viewport, float bounds[6], float pts[8][3])
int | ClipBounds (vtkViewport *viewport, float pts[8][3], float bounds[6])
float | EvaluatePoint (float planes[24], float x[3])
float | EvaluateBounds (float planes[24], float bounds[6])
void | AdjustAxes (float pts[8][3], float bounds[6], int idx, int xIdx, int yIdx, int zIdx, int zIdx2, int xAxes, int yAxes, int zAxes, float xCoords[4], float yCoords[4], float zCoords[4], float xRange[2], float yRange[2], float zRange[2])
## Protected Attributes
vtkDataSet * | Input
vtkProp * | Prop
float | Bounds [6]
float | Ranges [6]
int | UseRanges
vtkCamera * | Camera
int | FlyMode
int | Scaling
vtkAxisActor2D * | XAxis
vtkAxisActor2D * | YAxis
vtkAxisActor2D * | ZAxis
vtkTextProperty * | AxisTitleTextProperty
vtkTextProperty * | AxisLabelTextProperty
vtkTimeStamp | BuildTime
int | NumberOfLabels
char * | XLabel
char * | YLabel
char * | ZLabel
char * | Labels [3]
int | XAxisVisibility
int | YAxisVisibility
int | ZAxisVisibility
char * | LabelFormat
float | FontFactor
float | CornerOffset
int | Inertia
int | RenderCount
int | InertiaAxes [8]
int | RenderSomething

## Member Typedef Documentation

typedef vtkActor2D vtkCubeAxesActor2D::Superclass

| Reimplemented from vtkActor2D. Definition at line 83 of file vtkCubeAxesActor2D.h.

## Constructor & Destructor Documentation

vtkCubeAxesActor2D::vtkCubeAxesActor2D | ( |  | ) | `[protected]`

vtkCubeAxesActor2D::~vtkCubeAxesActor2D | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkCubeAxesActor2D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkActor2D.

int vtkCubeAxesActor2D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkActor2D.

virtual int vtkCubeAxesActor2D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkActor2D.

vtkCubeAxesActor2D* vtkCubeAxesActor2D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkActor2D.

void vtkCubeAxesActor2D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkActor2D.

vtkCubeAxesActor2D* vtkCubeAxesActor2D::New | ( |  | ) | `[static]`

| Instantiate object with bold, italic, and shadow enabled; font family set to Arial; and label format "6.3g". The number of labels per axis is set to 3. Reimplemented from vtkActor2D.

int vtkCubeAxesActor2D::RenderOverlay | ( | vtkViewport * |  | ) | `[virtual]`

| Draw the axes as per the vtkProp superclass' API. Reimplemented from vtkActor2D.

int vtkCubeAxesActor2D::RenderOpaqueGeometry | ( | vtkViewport * |  | ) | `[virtual]`

| Draw the axes as per the vtkProp superclass' API. Reimplemented from vtkActor2D.

int vtkCubeAxesActor2D::RenderTranslucentGeometry | ( | vtkViewport * |  | ) | `[inline, virtual]`

| Draw the axes as per the vtkProp superclass' API. Reimplemented from vtkActor2D. Definition at line 95 of file vtkCubeAxesActor2D.h.

virtual void vtkCubeAxesActor2D::SetInput | ( | vtkDataSet * |  | ) | `[virtual]`

| Use the bounding box of this input dataset to draw the cube axes. If this is not specified, then the class will attempt to determine the bounds from the defined Prop or Bounds.

virtual vtkDataSet* vtkCubeAxesActor2D::GetInput | ( |  | ) | `[virtual]`

| Use the bounding box of this input dataset to draw the cube axes. If this is not specified, then the class will attempt to determine the bounds from the defined Prop or Bounds.

virtual void vtkCubeAxesActor2D::SetProp | ( | vtkProp * |  | ) | `[virtual]`

| Use the bounding box of this prop to draw the cube axes. The Prop is used to determine the bounds only if the Input is not defined.

virtual vtkProp* vtkCubeAxesActor2D::GetProp | ( |  | ) | `[virtual]`

| Use the bounding box of this prop to draw the cube axes. The Prop is used to determine the bounds only if the Input is not defined.

virtual void vtkCubeAxesActor2D::SetBounds | ( | float | ,
|  | float | ,
|  | float | ,
|  | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Explicitly specify the region in space around which to draw the bounds. The bounds is used only when no Input or Prop is specified. The bounds are specified according to (xmin,xmax, ymin,ymax, zmin,zmax), making sure that the min's are less than the max's.

virtual void vtkCubeAxesActor2D::SetBounds | ( | float | [6] | ) | `[virtual]`

| Explicitly specify the region in space around which to draw the bounds. The bounds is used only when no Input or Prop is specified. The bounds are specified according to (xmin,xmax, ymin,ymax, zmin,zmax), making sure that the min's are less than the max's.

float* vtkCubeAxesActor2D::GetBounds | ( |  | ) | `[virtual]`

| Explicitly specify the region in space around which to draw the bounds. The bounds is used only when no Input or Prop is specified. The bounds are specified according to (xmin,xmax, ymin,ymax, zmin,zmax), making sure that the min's are less than the max's. Reimplemented from vtkProp.

void vtkCubeAxesActor2D::GetBounds | ( | float & | xmin,
|  | float & | xmax,
|  | float & | ymin,
|  | float & | ymax,
|  | float & | zmin,
|  | float & | zmax
| ) |

| Explicitly specify the region in space around which to draw the bounds. The bounds is used only when no Input or Prop is specified. The bounds are specified according to (xmin,xmax, ymin,ymax, zmin,zmax), making sure that the min's are less than the max's.

void vtkCubeAxesActor2D::GetBounds | ( | float | bounds[6] | ) |

| Explicitly specify the region in space around which to draw the bounds. The bounds is used only when no Input or Prop is specified. The bounds are specified according to (xmin,xmax, ymin,ymax, zmin,zmax), making sure that the min's are less than the max's.

virtual void vtkCubeAxesActor2D::SetRanges | ( | float | ,
|  | float | ,
|  | float | ,
|  | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Explicitly specify the range of values used on the bounds. The ranges are specified according to (xmin,xmax, ymin,ymax, zmin,zmax), making sure that the min's are less than the max's.

virtual void vtkCubeAxesActor2D::SetRanges | ( | float | [6] | ) | `[virtual]`

| Explicitly specify the range of values used on the bounds. The ranges are specified according to (xmin,xmax, ymin,ymax, zmin,zmax), making sure that the min's are less than the max's.

float* vtkCubeAxesActor2D::GetRanges | ( |  | ) |

| Explicitly specify the range of values used on the bounds. The ranges are specified according to (xmin,xmax, ymin,ymax, zmin,zmax), making sure that the min's are less than the max's.

void vtkCubeAxesActor2D::GetRanges | ( | float & | xmin,
|  | float & | xmax,
|  | float & | ymin,
|  | float & | ymax,
|  | float & | zmin,
|  | float & | zmax
| ) |

| Explicitly specify the range of values used on the bounds. The ranges are specified according to (xmin,xmax, ymin,ymax, zmin,zmax), making sure that the min's are less than the max's.

void vtkCubeAxesActor2D::GetRanges | ( | float | ranges[6] | ) |

| Explicitly specify the range of values used on the bounds. The ranges are specified according to (xmin,xmax, ymin,ymax, zmin,zmax), making sure that the min's are less than the max's.

virtual void vtkCubeAxesActor2D::SetUseRanges | ( | int |  | ) | `[virtual]`

| Set/Get a flag that controls whether the axes use the data ranges or the ranges set by SetRanges. By default the axes use the data ranges.

virtual int vtkCubeAxesActor2D::GetUseRanges | ( |  | ) | `[virtual]`

| Set/Get a flag that controls whether the axes use the data ranges or the ranges set by SetRanges. By default the axes use the data ranges.

virtual void vtkCubeAxesActor2D::UseRangesOn | ( |  | ) | `[virtual]`

| Set/Get a flag that controls whether the axes use the data ranges or the ranges set by SetRanges. By default the axes use the data ranges.

virtual void vtkCubeAxesActor2D::UseRangesOff | ( |  | ) | `[virtual]`

| Set/Get a flag that controls whether the axes use the data ranges or the ranges set by SetRanges. By default the axes use the data ranges.

virtual void vtkCubeAxesActor2D::SetCamera | ( | vtkCamera * |  | ) | `[virtual]`

| Set/Get the camera to perform scaling and translation of the vtkCubeAxesActor2D.

virtual vtkCamera* vtkCubeAxesActor2D::GetCamera | ( |  | ) | `[virtual]`

| Set/Get the camera to perform scaling and translation of the vtkCubeAxesActor2D.

virtual void vtkCubeAxesActor2D::SetFlyMode | ( | int |  | ) | `[virtual]`

| Specify a mode to control how the axes are drawn: either outer edges or closest triad to the camera position.

virtual int vtkCubeAxesActor2D::GetFlyMode | ( |  | ) | `[virtual]`

| Specify a mode to control how the axes are drawn: either outer edges or closest triad to the camera position.

void vtkCubeAxesActor2D::SetFlyModeToOuterEdges | ( |  | ) | `[inline]`

| Specify a mode to control how the axes are drawn: either outer edges or closest triad to the camera position. Definition at line 156 of file vtkCubeAxesActor2D.h. References VTK_FLY_OUTER_EDGES.

void vtkCubeAxesActor2D::SetFlyModeToClosestTriad | ( |  | ) | `[inline]`

| Specify a mode to control how the axes are drawn: either outer edges or closest triad to the camera position. Definition at line 158 of file vtkCubeAxesActor2D.h. References VTK_FLY_CLOSEST_TRIAD.

virtual void vtkCubeAxesActor2D::SetScaling | ( | int |  | ) | `[virtual]`

| Set/Get a flag that controls whether the axes are scaled to fit in the viewport. If off, the axes size remains constant (i.e., stay the size of the bounding box). By default scaling is on so the axes are scaled to fit inside the viewport.

virtual int vtkCubeAxesActor2D::GetScaling | ( |  | ) | `[virtual]`

| Set/Get a flag that controls whether the axes are scaled to fit in the viewport. If off, the axes size remains constant (i.e., stay the size of the bounding box). By default scaling is on so the axes are scaled to fit inside the viewport.

virtual void vtkCubeAxesActor2D::ScalingOn | ( |  | ) | `[virtual]`

| Set/Get a flag that controls whether the axes are scaled to fit in the viewport. If off, the axes size remains constant (i.e., stay the size of the bounding box). By default scaling is on so the axes are scaled to fit inside the viewport.

virtual void vtkCubeAxesActor2D::ScalingOff | ( |  | ) | `[virtual]`

| Set/Get a flag that controls whether the axes are scaled to fit in the viewport. If off, the axes size remains constant (i.e., stay the size of the bounding box). By default scaling is on so the axes are scaled to fit inside the viewport.

virtual void vtkCubeAxesActor2D::SetNumberOfLabels | ( | int |  | ) | `[virtual]`

| Set/Get the number of annotation labels to show along the x, y, and z axes. This values is a suggestion: the number of labels may vary depending on the particulars of the data.

virtual int vtkCubeAxesActor2D::GetNumberOfLabels | ( |  | ) | `[virtual]`

| Set/Get the number of annotation labels to show along the x, y, and z axes. This values is a suggestion: the number of labels may vary depending on the particulars of the data.

virtual void vtkCubeAxesActor2D::SetXLabel | ( | const char * |  | ) | `[virtual]`

| Set/Get the labels for the x, y, and z axes. By default, use "X", "Y" and "Z".

virtual char* vtkCubeAxesActor2D::GetXLabel | ( |  | ) | `[virtual]`

| Set/Get the labels for the x, y, and z axes. By default, use "X", "Y" and "Z".

virtual void vtkCubeAxesActor2D::SetYLabel | ( | const char * |  | ) | `[virtual]`

| Set/Get the labels for the x, y, and z axes. By default, use "X", "Y" and "Z".

virtual char* vtkCubeAxesActor2D::GetYLabel | ( |  | ) | `[virtual]`

| Set/Get the labels for the x, y, and z axes. By default, use "X", "Y" and "Z".

virtual void vtkCubeAxesActor2D::SetZLabel | ( | const char * |  | ) | `[virtual]`

| Set/Get the labels for the x, y, and z axes. By default, use "X", "Y" and "Z".

virtual char* vtkCubeAxesActor2D::GetZLabel | ( |  | ) | `[virtual]`

| Set/Get the labels for the x, y, and z axes. By default, use "X", "Y" and "Z".

vtkAxisActor2D* vtkCubeAxesActor2D::GetXAxisActor2D | ( |  | ) | `[inline]`

| Retrieve handles to the X, Y and Z axis (so that you can set their text properties for example) Definition at line 194 of file vtkCubeAxesActor2D.h.

vtkAxisActor2D* vtkCubeAxesActor2D::GetYAxisActor2D | ( |  | ) | `[inline]`

| Retrieve handles to the X, Y and Z axis (so that you can set their text properties for example) Definition at line 196 of file vtkCubeAxesActor2D.h.

vtkAxisActor2D* vtkCubeAxesActor2D::GetZAxisActor2D | ( |  | ) | `[inline]`

| Retrieve handles to the X, Y and Z axis (so that you can set their text properties for example) Definition at line 198 of file vtkCubeAxesActor2D.h.

virtual void vtkCubeAxesActor2D::SetAxisTitleTextProperty | ( | vtkTextProperty * | p | ) | `[virtual]`

| Set/Get the title text property of all axes. Note that each axis can be controlled individually through the GetX/Y/ZAxisActor2D() methods.

virtual vtkTextProperty* vtkCubeAxesActor2D::GetAxisTitleTextProperty | ( |  | ) | `[virtual]`

| Set/Get the title text property of all axes. Note that each axis can be controlled individually through the GetX/Y/ZAxisActor2D() methods.

virtual void vtkCubeAxesActor2D::SetAxisLabelTextProperty | ( | vtkTextProperty * | p | ) | `[virtual]`

| Set/Get the labels text property of all axes. Note that each axis can be controlled individually through the GetX/Y/ZAxisActor2D() methods.

virtual vtkTextProperty* vtkCubeAxesActor2D::GetAxisLabelTextProperty | ( |  | ) | `[virtual]`

| Set/Get the labels text property of all axes. Note that each axis can be controlled individually through the GetX/Y/ZAxisActor2D() methods.

virtual void vtkCubeAxesActor2D::SetFontFamily | ( | int | val | ) | `[virtual]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual int vtkCubeAxesActor2D::GetFontFamily | ( |  | ) | `[virtual]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

void vtkCubeAxesActor2D::SetFontFamilyToArial | ( |  | ) | `[inline]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods. Definition at line 225 of file vtkCubeAxesActor2D.h. References VTK_ARIAL.

void vtkCubeAxesActor2D::SetFontFamilyToCourier | ( |  | ) | `[inline]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods. Definition at line 226 of file vtkCubeAxesActor2D.h. References VTK_COURIER.

void vtkCubeAxesActor2D::SetFontFamilyToTimes | ( |  | ) | `[inline]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods. Definition at line 227 of file vtkCubeAxesActor2D.h. References VTK_TIMES.

virtual void vtkCubeAxesActor2D::SetBold | ( | int | val | ) | `[virtual]`

| Enable/disable text bolding. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual int vtkCubeAxesActor2D::GetBold | ( |  | ) | `[virtual]`

| Enable/disable text bolding. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkCubeAxesActor2D::BoldOn | ( |  | ) | `[virtual]`

| Enable/disable text bolding. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkCubeAxesActor2D::BoldOff | ( |  | ) | `[virtual]`

| Enable/disable text bolding. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkCubeAxesActor2D::SetItalic | ( | int | val | ) | `[virtual]`

| Enable/disable text italic. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual int vtkCubeAxesActor2D::GetItalic | ( |  | ) | `[virtual]`

| Enable/disable text italic. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkCubeAxesActor2D::ItalicOn | ( |  | ) | `[virtual]`

| Enable/disable text italic. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkCubeAxesActor2D::ItalicOff | ( |  | ) | `[virtual]`

| Enable/disable text italic. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkCubeAxesActor2D::SetShadow | ( | int | val | ) | `[virtual]`

| Enable/disable text shadows. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual int vtkCubeAxesActor2D::GetShadow | ( |  | ) | `[virtual]`

| Enable/disable text shadows. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkCubeAxesActor2D::ShadowOn | ( |  | ) | `[virtual]`

| Enable/disable text shadows. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkCubeAxesActor2D::ShadowOff | ( |  | ) | `[virtual]`

| Enable/disable text shadows. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)(Title/Label)TextProperty() methods.

virtual void vtkCubeAxesActor2D::SetLabelFormat | ( | const char * |  | ) | `[virtual]`

| Set/Get the format with which to print the labels on each of the x-y-z axes.

virtual char* vtkCubeAxesActor2D::GetLabelFormat | ( |  | ) | `[virtual]`

| Set/Get the format with which to print the labels on each of the x-y-z axes.

virtual void vtkCubeAxesActor2D::SetFontFactor | ( | float |  | ) | `[virtual]`

| Set/Get the factor that controls the overall size of the fonts used to label and title the axes.

virtual float vtkCubeAxesActor2D::GetFontFactor | ( |  | ) | `[virtual]`

| Set/Get the factor that controls the overall size of the fonts used to label and title the axes.

virtual void vtkCubeAxesActor2D::SetInertia | ( | int |  | ) | `[virtual]`

| Set/Get the inertial factor that controls how often (i.e, how many renders) the axes can switch position (jump from one axes to another).

virtual float vtkCubeAxesActor2D::GetInertia | ( |  | ) | `[virtual]`

| Set/Get the inertial factor that controls how often (i.e, how many renders) the axes can switch position (jump from one axes to another).

virtual void vtkCubeAxesActor2D::SetCornerOffset | ( | float |  | ) | `[virtual]`

| Specify an offset value to "pull back" the axes from the corner at which they are joined to avoid overlap of axes labels. The "CornerOffset" is the fraction of the axis length to pull back.

virtual float vtkCubeAxesActor2D::GetCornerOffset | ( |  | ) | `[virtual]`

| Specify an offset value to "pull back" the axes from the corner at which they are joined to avoid overlap of axes labels. The "CornerOffset" is the fraction of the axis length to pull back.

void vtkCubeAxesActor2D::ReleaseGraphicsResources | ( | vtkWindow * |  | ) | `[virtual]`

| Release any graphics resources that are being consumed by this actor. The parameter window could be used to determine which graphic resources to release. Reimplemented from vtkActor2D.

virtual void vtkCubeAxesActor2D::SetXAxisVisibility | ( | int |  | ) | `[virtual]`

| Turn on and off the visibility of each axis.

virtual int vtkCubeAxesActor2D::GetXAxisVisibility | ( |  | ) | `[virtual]`

| Turn on and off the visibility of each axis.

virtual void vtkCubeAxesActor2D::XAxisVisibilityOn | ( |  | ) | `[virtual]`

| Turn on and off the visibility of each axis.

virtual void vtkCubeAxesActor2D::XAxisVisibilityOff | ( |  | ) | `[virtual]`

| Turn on and off the visibility of each axis.

virtual void vtkCubeAxesActor2D::SetYAxisVisibility | ( | int |  | ) | `[virtual]`

| Turn on and off the visibility of each axis.

virtual int vtkCubeAxesActor2D::GetYAxisVisibility | ( |  | ) | `[virtual]`

| Turn on and off the visibility of each axis.

virtual void vtkCubeAxesActor2D::YAxisVisibilityOn | ( |  | ) | `[virtual]`

| Turn on and off the visibility of each axis.

virtual void vtkCubeAxesActor2D::YAxisVisibilityOff | ( |  | ) | `[virtual]`

| Turn on and off the visibility of each axis.

virtual void vtkCubeAxesActor2D::SetZAxisVisibility | ( | int |  | ) | `[virtual]`

| Turn on and off the visibility of each axis.

virtual int vtkCubeAxesActor2D::GetZAxisVisibility | ( |  | ) | `[virtual]`

| Turn on and off the visibility of each axis.

virtual void vtkCubeAxesActor2D::ZAxisVisibilityOn | ( |  | ) | `[virtual]`

| Turn on and off the visibility of each axis.

virtual void vtkCubeAxesActor2D::ZAxisVisibilityOff | ( |  | ) | `[virtual]`

| Turn on and off the visibility of each axis.

void vtkCubeAxesActor2D::ShallowCopy | ( | vtkCubeAxesActor2D * | actor | ) |

| Shallow copy of a CubeAxesActor2D.

void vtkCubeAxesActor2D::TransformBounds | ( | vtkViewport * | viewport,
|  | float | bounds[6],
|  | float | pts[8][3]
| ) | `[protected]`

int vtkCubeAxesActor2D::ClipBounds | ( | vtkViewport * | viewport,
|  | float | pts[8][3],
|  | float | bounds[6]
| ) | `[protected]`

float vtkCubeAxesActor2D::EvaluatePoint | ( | float | planes[24],
|  | float | x[3]
| ) | `[protected]`

float vtkCubeAxesActor2D::EvaluateBounds | ( | float | planes[24],
|  | float | bounds[6]
| ) | `[protected]`

void vtkCubeAxesActor2D::AdjustAxes | ( | float | pts[8][3],
|  | float | bounds[6],
|  | int | idx,
|  | int | xIdx,
|  | int | yIdx,
|  | int | zIdx,
|  | int | zIdx2,
|  | int | xAxes,
|  | int | yAxes,
|  | int | zAxes,
|  | float | xCoords[4],
|  | float | yCoords[4],
|  | float | zCoords[4],
|  | float | xRange[2],
|  | float | yRange[2],
|  | float | zRange[2]
| ) | `[protected]`

## Member Data Documentation

vtkDataSet* vtkCubeAxesActor2D::Input`[protected]`

| Definition at line 319 of file vtkCubeAxesActor2D.h.

vtkProp* vtkCubeAxesActor2D::Prop`[protected]`

| Definition at line 320 of file vtkCubeAxesActor2D.h.

float vtkCubeAxesActor2D::Bounds[6]`[protected]`

| Definition at line 321 of file vtkCubeAxesActor2D.h.

float vtkCubeAxesActor2D::Ranges[6]`[protected]`

| Definition at line 322 of file vtkCubeAxesActor2D.h.

int vtkCubeAxesActor2D::UseRanges`[protected]`

| Definition at line 323 of file vtkCubeAxesActor2D.h.

vtkCamera* vtkCubeAxesActor2D::Camera`[protected]`

| Definition at line 325 of file vtkCubeAxesActor2D.h.

int vtkCubeAxesActor2D::FlyMode`[protected]`

| Definition at line 326 of file vtkCubeAxesActor2D.h.

int vtkCubeAxesActor2D::Scaling`[protected]`

| Definition at line 327 of file vtkCubeAxesActor2D.h.

vtkAxisActor2D* vtkCubeAxesActor2D::XAxis`[protected]`

| Definition at line 329 of file vtkCubeAxesActor2D.h.

vtkAxisActor2D* vtkCubeAxesActor2D::YAxis`[protected]`

| Definition at line 330 of file vtkCubeAxesActor2D.h.

vtkAxisActor2D* vtkCubeAxesActor2D::ZAxis`[protected]`

| Definition at line 331 of file vtkCubeAxesActor2D.h.

vtkTextProperty* vtkCubeAxesActor2D::AxisTitleTextProperty`[protected]`

| Definition at line 333 of file vtkCubeAxesActor2D.h.

vtkTextProperty* vtkCubeAxesActor2D::AxisLabelTextProperty`[protected]`

| Definition at line 334 of file vtkCubeAxesActor2D.h.

vtkTimeStamp vtkCubeAxesActor2D::BuildTime`[protected]`

| Definition at line 336 of file vtkCubeAxesActor2D.h.

int vtkCubeAxesActor2D::NumberOfLabels`[protected]`

| Definition at line 338 of file vtkCubeAxesActor2D.h.

char* vtkCubeAxesActor2D::XLabel`[protected]`

| Definition at line 339 of file vtkCubeAxesActor2D.h.

char* vtkCubeAxesActor2D::YLabel`[protected]`

| Definition at line 340 of file vtkCubeAxesActor2D.h.

char* vtkCubeAxesActor2D::ZLabel`[protected]`

| Definition at line 341 of file vtkCubeAxesActor2D.h.

char* vtkCubeAxesActor2D::Labels[3]`[protected]`

| Definition at line 342 of file vtkCubeAxesActor2D.h.

int vtkCubeAxesActor2D::XAxisVisibility`[protected]`

| Definition at line 344 of file vtkCubeAxesActor2D.h.

int vtkCubeAxesActor2D::YAxisVisibility`[protected]`

| Definition at line 345 of file vtkCubeAxesActor2D.h.

int vtkCubeAxesActor2D::ZAxisVisibility`[protected]`

| Definition at line 346 of file vtkCubeAxesActor2D.h.

char* vtkCubeAxesActor2D::LabelFormat`[protected]`

| Definition at line 348 of file vtkCubeAxesActor2D.h.

float vtkCubeAxesActor2D::FontFactor`[protected]`

| Definition at line 349 of file vtkCubeAxesActor2D.h.

float vtkCubeAxesActor2D::CornerOffset`[protected]`

| Definition at line 350 of file vtkCubeAxesActor2D.h.

int vtkCubeAxesActor2D::Inertia`[protected]`

| Definition at line 351 of file vtkCubeAxesActor2D.h.

int vtkCubeAxesActor2D::RenderCount`[protected]`

| Definition at line 352 of file vtkCubeAxesActor2D.h.

int vtkCubeAxesActor2D::InertiaAxes[8]`[protected]`

| Definition at line 353 of file vtkCubeAxesActor2D.h.

int vtkCubeAxesActor2D::RenderSomething`[protected]`

| Definition at line 355 of file vtkCubeAxesActor2D.h.

The documentation for this class was generated from the following file:

- Hybrid/vtkCubeAxesActor2D.h